Subject: Re: [scim] Open Ticket Recommendations (Tickets 1 to 20)

From: Erik Wahlström <[email-masked]>
Date: Wed, 8 Jan 2014 15:35:03 +0000

Great work Phil.

+1 on everything except Ticket : 13  Add "required" flag in configuration to support etags.

I think it’s a won’t fix. See http://www.ietf.org/mail-archive/web/scim/current/msg01388.html

I recommend that we just close it.

/ Erik

On 30 Dec 2013, at 19:22, Phil Hunt <[email-masked]<mailto:[email-masked]>> wrote:

On the last SCIM WG conference call (where we did not have quorum), one of the follow-up items proposed by was for members to personally review the open tickets and make some recommendations to assist the chairs on disposition of the current items.  Many of them have proposals and many of them are straight forward.  This should help Kelly move forward with the next revision of the draft in a quicker fashion:

These are my personal recommendations, please comment with your +1 or preferred alternative action.  Note:  Missing ticket numbers are already resolved/closed.

Ticket:  1  Roles within Groups
Recommendation:  Won't fix
Comment:  Replaced by ticket 11

Ticket: 2 Add pagination capability to plural Resource attributes
Recommendation:  Won't fix
Comment:  Solved/impact reduced by ticket 10

Ticket: 3  ExcludedAttributes Parameter
Recommendation:  Leave as new (continue discussion)
Comment:  Impact reduced by ticket 10 - is there still a need to exclude attributes from the default set?  What about using "!" on the attributes parameter?

Ticket: 4  Bring SAML Binding Up to Date
Recommendation:  Leave as new
Comment:  No apparent work.

Ticket: 6  Nickname part of Name attribute
Recommendation:  Won't fix
Comment: While there are some advantages, I don't see enough value that making a change makes sense.  Making name complex makes mapping for LDAP harder.

Ticket: 8 Targeting and Proxying
Recommendation: Won't fix
Comment:  This functionality has been covered by draft 02 (tenancy section) and can be also enhanced by ticket 55 (redirection).

Ticket: 9 Add ability to mark attributes as unique in schemas
Recommendation: Apply to draft
Comment:  See discussion added Dec 30, values for uniqueness recommended (note: more discussion may be needed)

Ticket: 10 Ability to mark attributes as sensitive in schemas
Recommendation:  Apply to draft
Comment:  Significant discussion and work occurred prior to and at IETF88 (vancouver) where informal consensus was obtained

Ticket: 11 Define Simple Language for Entitlements
Recommendation:  Defer
Comment:  Chris Phillips did some good starting work. But I don't see enough discussion yet.  Focus on for a following draft?

Ticket: 12 OpenID Connect and SCIM
Recommendation:  Won't fix
Comment: This seems to be an item for OIDF.  That said, I have suggested that SCIM be a valid endpoint in draft-hunt-oauth-v2-user-a4c<http://tools.ietf.org/id/draft-hunt-oauth-v2-user-a4c-01.txt>
Never-the-less, this isn't an item which impacts SCIM itself.  Should we leave open as a liaison/ note taking item?

Ticket : 13  Add "required" flag in configuration to support etags
Recommendation:  Apply to draft
Comment:  Though no proposed text is available, this seems straight forward

Ticket: 14 Enhance password and login metadata
Recommendation:  Defer to future draft
Comment:  There is significant work being done in the area by more than one participant. There is a need to make a standardized, inter-operable recommendation. However, there is no significant proposal on the ticket at this time.

Ticket: 15 Soft Delete and Resurrection
Recommendation: Defer to future draft

Ticket:16 Attribute selection in query responses
Recommendation:  Won't fix (Duplicate)
Comment:  This item covered by Ticket 10 which determines what attributes are returned by default

Ticket: 18 Review Patch Function
Recommendation: Defer
Comment:  Still had complaints on my side. Yet no new proposal has been drafted

Ticket: 20  Insert a "person" resource into the model
Recommendation:  Won't fix
Comment:  This ticket has been around for a while. While it seems like a good thing, we seem to have avoided hierarchical structures.  The current draft provides more details on schema extension and I think the need for this is minimal.  (please comment if you disagree!!)

Tickets 21 and higher will follow in another message…

Phil

@independentid
www.independentid.com<http://www.independentid.com/>
[email-masked]<mailto:[email-masked]>

_______________________________________________
scim mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/scim